﻿@model MIMS.Portal.ViewModels.Terminal.TerminalViewModel
@using MIMS.Portal.Commons.Extensions;

@{
    ViewData["PageTitle"] = "ویرایش پایانه";
}

<form method="post">
    <div class="card">
        <div class="card-header">
            <h4 class="card-title">مشخصات پایانه</h4>
        </div>

        <div class="card-body">
            <div class="card-block">

                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <input asp-for="Id" hidden />
                <input asp-for="MerchantId" hidden />

                <div class="form">
                    <div class="form-body">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="MerchantFullName" class="control-label"></label>
                                    <p><strong>@Model.MerchantFullName</strong></p>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="MerchantNationalCode" class="control-label"></label>
                                    <p><strong>@Model.MerchantNationalCode</strong></p>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="CreatedDate" class="control-label"></label>
                                    <p><strong dir="ltr">@Model.CreatedDate.ToPeString()</strong></p>
                                </div>
                            </div>
                        </div>
                        <hr />
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="TerminalType" class="control-label"></label>
                                    <span asp-validation-for="TerminalType" class="text-danger"></span>
                                    <input asp-for="TerminalType" asp-description-for="TerminalType" class="form-control" readonly disabled hidden />
                                    <label class="form-control" readonly disabled>@Html.DisplayFor(model => model.TerminalType)</label>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="PspProvider" class="control-label"></label>
                                    <span asp-validation-for="PspProvider" class="text-danger"></span>
                                    <select asp-for="PspProvider" asp-description-for="PspProvider" class="form-control" asp-items="@Html.GetEnumSelectList<MIMS.Portal.ValueObjects.Enum.PspProvider>()">
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="Status" class="control-label"></label>
                                    <span asp-validation-for="Status" class="text-danger"></span>
                                    <select asp-for="Status" asp-description-for="Status" class="form-control" asp-items="@Html.GetEnumSelectList<MIMS.Portal.ValueObjects.Enum.TerminalStatus>()" disabled>
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <hr />
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="StoreId" class="control-label"></label>
                                    <span asp-validation-for="StoreId" class="text-danger"></span>
                                    <select asp-for="StoreId" asp-description-for="StoreId" class="form-control" asp-items="@ViewBag.Stores">
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="BankAccountId" class="control-label"></label>
                                    <span asp-validation-for="BankAccountId" class="text-danger"></span>
                                    <select asp-for="BankAccountId" asp-description-for="BankAccountId" class="form-control" asp-items="@ViewBag.BankAccounts">
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="MerchantNumber" class="control-label"></label>
                                    <span asp-validation-for="MerchantNumber" class="text-danger"></span>
                                    <input asp-for="MerchantNumber" asp-description-for="MerchantNumber" class="form-control" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="TerminalNumber" class="control-label"></label>
                                    <span asp-validation-for="TerminalNumber" class="text-danger"></span>
                                    <input asp-for="TerminalNumber" asp-description-for="TerminalNumber" class="form-control" />
                                </div>
                            </div>

                        </div>
                        <hr />
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="DeviceConnectionType" class="control-label"></label>
                                    <span asp-validation-for="DeviceConnectionType" class="text-danger"></span>
                                    <select asp-for="DeviceConnectionType" asp-description-for="DeviceConnectionType" class="form-control" asp-items="@Html.GetEnumSelectList<MIMS.Portal.ValueObjects.Enum.PosConnectionType>()">
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="DeviceBrandId" class="control-label"></label>
                                    <span asp-validation-for="DeviceBrandId" class="text-danger"></span>
                                    <select asp-for="DeviceBrandId" asp-description-for="DeviceBrandId" class="form-control" asp-items="@ViewBag.DeviceBrands">
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="DeviceModelId" class="control-label"></label>
                                    <span asp-validation-for="DeviceModelId" class="text-danger"></span>
                                    <select asp-for="DeviceModelId" asp-description-for="DeviceModelId" class="form-control" asp-items="@ViewBag.DeviceModels">
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="DeviceId" class="control-label"></label>
                                    <span asp-validation-for="DeviceId" class="text-danger"></span>
                                    <select asp-for="DeviceId" asp-description-for="DeviceId" class="form-control" asp-items="@ViewBag.Devices">
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
        <div class="card-footer">
            <button type="submit" class="btn btn-primary btn-min-width">
                <i class="icon-check2"></i>
                ثبت
            </button>
        </div>
    </div>
</form>


@section Scripts{

    <script src="~/js/dropdown.js"></script>

}
